import React from 'react';
import { Props } from './Phone.types';
declare const components: {
    StyledInput: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
        type: any;
    } & Partial<Props>, "type">;
};
declare const PhoneComponent: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLInputElement>>;
export declare const Phone: typeof PhoneComponent & {
    components?: typeof components;
};
export {};
